/*******************************************************************************

Copyright (c) 2001-2002, Intel Corporation 
All rights reserved.

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
    this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright 
    notice, this list of conditions and the following disclaimer in the 
    documentation and/or other materials provided with the distribution.

 3. Neither the name of the Intel Corporation nor the names of its 
    contributors may be used to endorse or promote products derived from 
    this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE 
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE 
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

*******************************************************************************/

#ifndef __ASF_CONFIG_DEFINES_H
#define __ASF_CONFIG_DEFINES_H

typedef struct tagASF_ADAPTER_INFO 
{
	char* 	      adapter_key;
	int	          smbus_addr;
	char*         description;
	unsigned char asf_enable;
	char*         mac_addr;
	int	          adapter_type;
	int  	      hw_asic_version;
} ASFAGT_ADAPTER_INFO;

enum AsfError {
	//the following values are used as "safe-mode" status and as ret values
	//they are arranged by priority: a higher enum value indicates a more severe status
	S_OK = 0,
	ASF_ERROR_PROXY_NOT_REACHABLE,
	ASF_ERROR_ADAPTERMISSING,
    ASF_ERROR_NOASFADAPTERS_FOUND,
	ASF_ERROR_NO_WATCHDOG_MODULE,
	ASF_ERROR_NO_SMBUS_ACCESS_MODULE,
	ASF_ERROR_UNSUPPORTED_OS,
	ASF_ERROR_ACCESS_REGISTRY,
    ASF_ERROR_NONASF_DRIVER,
    ASF_ERROR_INVALID_SMBUSADDR,
    ASF_ERROR_SMBIOS_GLOBAL_DISABLE,
	ASF_ERROR_NO_ACPI_BIOS,			
	ASF_ERROR_FATAL_UNKNOWN,		

	//the following values are used as ret-values.
    ASF_ERROR_INITIALIZE_FAILED,
    ASF_ERROR_NOTINITIALIZED,
	ASF_ERROR_NOTIMPLEMENTED,
	ASF_ERROR_END_OF_FCTLIST,
	ASF_ERROR_FCTID_NOT_VALID,
    ASF_ERROR_INVALIDPARAM,
    ASF_ERROR_NOSUCH_ADAPTER_FOUND,
    ASF_ERROR_VERSION_MISMATCH,
	ASF_ERROR_EXCEPTION,
	E_FAIL
};


//AsfGetConfigurationStatus() flags:
#define ASF_STATUS_ADAPTER_SEARCH		0x00000001

#endif
